## org.eclipse.emf.ecoretools.diagram.edit.parts
Class EReferenceEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gef.editparts.AbstractConnectionEditPart
                  org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionEditPart
                      org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionNodeEditPart
                          org.eclipse.emf.ecoretools.diagram.edit.parts.EReferenceEditPart

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.ConnectionEditPart, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.LayerConstants, org.eclipse.gef.NodeEditPart, org.eclipse.gef.RequestConstants, org.eclipse.gmf.runtime.diagram.core.listener.NotificationListener, org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart, org.eclipse.gmf.runtime.diagram.ui.editparts.INodeEditPart, org.eclipse.gmf.runtime.diagram.ui.editparts.INotableEditPart, org.eclipse.gmf.runtime.diagram.ui.editparts.IPrimaryEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IContainedEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IEditableEditPart

    public class EReferenceEditPart

extends org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionNodeEditPart

Nested Class Summary
`class` `EReferenceEditPart.SolidLineWDstArrow`

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractConnectionEditPart
`org.eclipse.gef.editparts.AbstractConnectionEditPart.DefaultAccessibleAnchorProvider`

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart`

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart
`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

Field Summary
`static int` `VISUAL_ID`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionEditPart
`accessibleEP, appearanceProperties`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.LayerConstants
`CONNECTION_LAYER, FEEDBACK_LAYER, GRID_LAYER, GUIDE_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS, SCALABLE_LAYERS, SCALED_FEEDBACK_LAYER`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`EReferenceEditPart(org.eclipse.gmf.runtime.notation.View view)`

Method Summary
`protected void` `addChildVisual(org.eclipse.gef.EditPart childEditPart, int index)`
`protected boolean` `addFixedChild(org.eclipse.gef.EditPart childEditPart)`
`protected org.eclipse.draw2d.Connection` `createConnectionFigure()` Creates figure for this edit part.
`protected void` `createDefaultEditPolicies()`
`EReferenceEditPart.SolidLineWDstArrow` `getPrimaryShape()`
`protected void` `handleNotificationEvent(org.eclipse.emf.common.notify.Notification notification)`
`boolean` `isSelectable()`
`protected void` `refreshLinkedReference()` Refresh reference decoration and visibility
`protected void` `refreshSourceDecoration()` Update the source decoration depending on the containment property of the EReference
`protected void` `refreshVisuals()`
`void` `setSelectable(boolean selectable)`
`protected void` `trackLinkedReference()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionNodeEditPart
`anchorChange, canAttachNote, getModelSourceConnections, getModelTargetConnections, getSourceConnectionAnchor, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor, getTargetEditPart, mapConnectionAnchorToTerminal, mapTerminalToConnectionAnchor`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionEditPart

`activate, addChild, addListenerFilter, addListenerFilter, addNotationalListeners, addNotify, addSemanticListeners, createChild, createConnection, createEditPolicies, createFigure, deactivate, disableCanonicalFor, disableEditMode, enableEditMode, eraseSourceFeedback, eraseTargetFeedback, executeCommand, findEditPart, getAccessibleEditPart, getAdapter, getAppearancePropertyIDs, getArrowDecoration, getChildBySemanticHint, getCommand, getDiagramEditDomain, getDiagramPreferencesHint, getDiagramView, getDragTracker, getEdge, getEditDomain, getEditingDomain, getLineType, getLineWidth, getMapMode, getModelChildren, getModelSource, getModelTarget, getNotationView, getPreferredValue, getPrimaryChildEditPart, getPrimaryView, getPropertyChangeCommand, getResourceManager, getStructuralFeatureValue, getTopGraphicEditPart, handleMajorSemanticChange, handlePropertyChangeEvent, installRouter, isCanonical, isEditModeEnabled, isSemanticConnection, notifyChanged, performDirectEditRequest, performRequest, propertyChange, reactivateSemanticModel, refresh, refreshArrowSource, refreshArrowTarget, refreshBendpoints, refreshFont, refreshForegroundColor, refreshJumplinks, refreshLineType, refreshLineWidth, refreshRouterChange, refreshRoutingStyles, refreshSmoothness, refreshVisibility, registerModel, removeListenerFilter, removeNotationalListeners, removeNotify, removeSemanticListeners, resolveSemanticElement, setArrowSource, setArrowTarget, setFont, setForegroundColor, setLineType, setLineWidth, setModel, setStructuralFeatureValue, setVisibility, showSourceFeedback, showTargetFeedback, understandsRequest, unregisterModel`

Methods inherited from class org.eclipse.gef.editparts.AbstractConnectionEditPart
`activateFigure, deactivateFigure, getConnectionFigure, getSource, getTarget, refreshSourceAnchor, refreshTargetAnchor, setParent, setSource, setTarget`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addNodeListener, addSourceConnection, addTargetConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getContentPane, getFigure, getLayer, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addEditPartListener, deactivateEditPolicies, debug, debugFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getChildren, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getModel, getParent, getRoot, getSelected, getViewer, hasFocus, installEditPolicy, isActive, refreshChildren, register, registerAccessibility, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setSelected, toString, unregister, unregisterAccessibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getViewer, hasFocus, installEditPolicy, isActive, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### VISUAL_ID

    public static final int VISUAL_ID

See Also:
  Constant Field Values

Constructor Detail

### EReferenceEditPart

    public EReferenceEditPart(org.eclipse.gmf.runtime.notation.View view)

Method Detail

### handleNotificationEvent

    protected void handleNotificationEvent(org.eclipse.emf.common.notify.Notification notification)

  Overrides:
    `handleNotificationEvent` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionNodeEditPart`

### trackLinkedReference

    protected void trackLinkedReference()

### refreshLinkedReference

    protected void refreshLinkedReference()

  Refresh reference decoration and visibility

### createDefaultEditPolicies

    protected void createDefaultEditPolicies()

  Overrides:
    `createDefaultEditPolicies` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionNodeEditPart`

### addFixedChild

    protected boolean addFixedChild(org.eclipse.gef.EditPart childEditPart)

### addChildVisual

    protected void addChildVisual(org.eclipse.gef.EditPart childEditPart,
                                  int index)

  Overrides:
    `addChildVisual` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### createConnectionFigure

    protected org.eclipse.draw2d.Connection createConnectionFigure()

  Creates figure for this edit part. Body of this method does not depend on settings in generation model so you may safely remove generated tag and modify it.

  Specified by:
    `createConnectionFigure` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionEditPart`

### getPrimaryShape

    public EReferenceEditPart.SolidLineWDstArrow getPrimaryShape()

### refreshVisuals

    protected void refreshVisuals()

  Overrides:
    `refreshVisuals` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionEditPart`
  See Also:
    `ConnectionEditPart.refreshVisuals()`

### refreshSourceDecoration

    protected void refreshSourceDecoration()

  Update the source decoration depending on the containment property of the EReference

### isSelectable

    public boolean isSelectable()

  Specified by:
    `isSelectable` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `isSelectable` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionEditPart`
  See Also:
    `ConnectionEditPart.isSelectable()`

### setSelectable

    public void setSelectable(boolean selectable)

  Parameters:
    `selectable` - the selectable to set

Copyright 2007 Anyware Technologies. All Rights Reserved.